1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Which WRT54GS v.3 Firmware?

Discussion in 'Cisco/Linksys Wireless Routers' started by lbholde, Dec 9, 2005.

  1. lbholde

    lbholde Network Guru Member

    I'm having wireless connection problems with my WRT54GS v.3, and I want to upgrade the firmware. But, the Linksys site doesn't seem to list one for v.3. They have one for versions 1, 2 and 4. Should I use one of those?
     
  2. gaster

    gaster Network Guru Member

    I noticed the same problem. Download the v2 and check all the files. I did and I belive one of them mentioned the V3 so it should be safe to use.
     
  3. danielhaden

    danielhaden Network Guru Member

    Just use the HyperWRT Thibor 201105 firmware instead. It has more features. It is based on the latest Linksys GS code. And, it has bug-fixes on the latest Linksys GS code so that it works even better. Of course it has more power. More information is available in the forums of hyperwrt.org and of course you can download a copy of it right here on linksysinfo.org
     
  4. lbholde

    lbholde Network Guru Member

    Thanks. Is the general consensus here that this is the best firmware to use for my router?
     
  5. lbholde

    lbholde Network Guru Member

    Now I'm confused... the Hyperwrt.org site says that it's firmware is based on 3.37.6, but my router is running 4.70.6. Wouldn't I be "downgrading" my router if I installed this firmware?
     
  6. zaphod

    zaphod Network Guru Member

    download thibor11 for wrt54gs from this site

    http://www.linksysinfo.org/modules.php?name=Downloads

    before flashing reset to factory defaults and if you got telnet access to your device then erase your nvram too. (erase nvram ; reboot)

    after that flash the new firmware with the web-interface...

    do not use original hyperwrt... its based on old linksys firmware and got a security bug (wireless clients can connect without having keys)

    hope that helps for ya

    greets

    zaphod
     
  7. lbholde

    lbholde Network Guru Member

    Thanks. When you say do not use the original, do you mean do not use the HyperWRT Thibor 201105 that danielhaden recommends? Because I see that they are both on the download page.

    Which is better for fixing wireless drops?
     
  8. zaphod

    zaphod Network Guru Member

    no. i mean do not use the original hyperwrt 2.1b1.

    just use thibor 11 (the newest release) and all will be fine i hope ;-)

    greets

    zaphod
     
  9. lbholde

    lbholde Network Guru Member

    I'll give that a try. Thanks! :)
     

Share This Page